package org.example.bindings.domain;

import net.java.dev.properties.container.BeanContainer;
import net.java.dev.properties.container.ObservableProperty;

public class BPPerson {
    public final ObservableProperty<String> name = ObservableProperty.create();
    
    public BPPerson() {
        // UI builder needs no-args constructor
        BeanContainer.bind(this);
    }
    
    public BPPerson(String name) {
        BeanContainer.bind(this);
        
        this.name.set(name);
    }
}
